Debian Bug report logs - #674263
swig2.0: swig 2.0.7 for wheezy

version graph

Package: swig2.0; Maintainer for swig2.0 is Torsten Landschoff <torsten@debian.org>; Source for swig2.0 is src:swig2.0.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 24 May 2012 07:30:01 UTC

Severity: important

Found in versions 2.0.6-1, swig2.0/2.0.5-1

Fixed in version swig2.0/2.0.7-1

Done: Torsten Landschoff <torsten@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#674263; Package swig2.0. (Thu, 24 May 2012 07:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. (Thu, 24 May 2012 07:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: swig2.0: swig 2.0.7 for wheezy
Date: Thu, 24 May 2012 09:23:14 +0200
Package: swig2.0
Version: 2.0.6-1
Severity: important


Due to the recent regression in 2.0.5 and 2.0.6, I suggest that 2.0.7 be available for Wheezy.

ref:
http://sourceforge.net/mailarchive/message.php?msg_id=29305946

...
That very much depends on your code. I wouldn't suggest anything else 
other than rebuild everything. Also there is another serious typemap bug 
in 2.0.5 which will be addressed in 2.0.7. I hope that Debian upgrade 
directly to 2.0.7 which will be released by end of week.

William
...

-- System Information:
Debian Release: 6.0.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-0.bpo.2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages swig2.0 depends on:
ii  libc6                   2.11.3-3         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libpcre3                8.02-1.1         Perl 5 Compatible Regular Expressi
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

swig2.0 recommends no packages.

Versions of packages swig2.0 suggests:
pn  swig2.0-doc                   <none>     (no description available)
pn  swig2.0-examples              <none>     (no description available)

-- no debconf information




Marked as found in versions swig2.0/2.0.5-1. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 24 May 2012 07:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#674263; Package swig2.0. (Thu, 24 May 2012 21:09:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <t.landschoff@gmx.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Thu, 24 May 2012 21:09:29 GMT) Full text and rfc822 format available.

Message #12 received at 674263@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <t.landschoff@gmx.net>
To: Mathieu Malaterre <malat@debian.org>, 674263@bugs.debian.org
Subject: Re: Bug#674263: swig2.0: swig 2.0.7 for wheezy
Date: Thu, 24 May 2012 23:07:06 +0200
On 05/24/2012 09:23 AM, Mathieu Malaterre wrote:
> Package: swig2.0
> Version: 2.0.6-1
> Severity: important
>
>
> Due to the recent regression in 2.0.5 and 2.0.6, I suggest that 2.0.7 be available for Wheezy.
>
> ref:
> http://sourceforge.net/mailarchive/message.php?msg_id=29305946
>
> ...
> That very much depends on your code. I wouldn't suggest anything else
> other than rebuild everything. Also there is another serious typemap bug
> in 2.0.5 which will be addressed in 2.0.7. I hope that Debian upgrade
> directly to 2.0.7 which will be released by end of week.
>
Sorry, I just uploaded 2.0.6-1 which I forgot to upload after building. 
But I will upgrade the package to 2.0.7 as soon as it comes out.

Greetings, Torsten





Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#674263; Package swig2.0. (Fri, 25 May 2012 06:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Fri, 25 May 2012 06:57:05 GMT) Full text and rfc822 format available.

Message #17 received at 674263@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Torsten Landschoff <t.landschoff@gmx.net>
Cc: 674263@bugs.debian.org
Subject: Re: Bug#674263: swig2.0: swig 2.0.7 for wheezy
Date: Fri, 25 May 2012 08:54:47 +0200
On Thu, May 24, 2012 at 11:07 PM, Torsten Landschoff
<t.landschoff@gmx.net> wrote:
> On 05/24/2012 09:23 AM, Mathieu Malaterre wrote:
>>
>> Package: swig2.0
>> Version: 2.0.6-1
>> Severity: important
>>
>>
>> Due to the recent regression in 2.0.5 and 2.0.6, I suggest that 2.0.7 be
>> available for Wheezy.
>>
>> ref:
>> http://sourceforge.net/mailarchive/message.php?msg_id=29305946
>>
>> ...
>> That very much depends on your code. I wouldn't suggest anything else
>> other than rebuild everything. Also there is another serious typemap bug
>> in 2.0.5 which will be addressed in 2.0.7. I hope that Debian upgrade
>> directly to 2.0.7 which will be released by end of week.
>>
> Sorry, I just uploaded 2.0.6-1 which I forgot to upload after building. But
> I will upgrade the package to 2.0.7 as soon as it comes out.

No problem ! swig 2.0.4/2.0.5/2.0.6 have been a mess anyway :)
What scares me is that we may introduce swig 2.0.5/2.0.6 bug into
debian packages that will be hard to track since there is no way to
know if a binary was built with swig 2.0.5/2.0.6 or not...

-- 
Mathieu




Reply sent to Torsten Landschoff <torsten@debian.org>:
You have taken responsibility. (Mon, 28 May 2012 20:57:16 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Mon, 28 May 2012 20:57:16 GMT) Full text and rfc822 format available.

Message #22 received at 674263-close@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 674263-close@bugs.debian.org
Subject: Bug#674263: fixed in swig2.0 2.0.7-1
Date: Mon, 28 May 2012 20:55:26 +0000
Source: swig2.0
Source-Version: 2.0.7-1

We believe that the bug you reported is fixed in the latest version of
swig2.0, which is due to be installed in the Debian FTP archive:

swig-doc_2.0.7-1_all.deb
  to main/s/swig2.0/swig-doc_2.0.7-1_all.deb
swig-examples_2.0.7-1_all.deb
  to main/s/swig2.0/swig-examples_2.0.7-1_all.deb
swig2.0-doc_2.0.7-1_all.deb
  to main/s/swig2.0/swig2.0-doc_2.0.7-1_all.deb
swig2.0-examples_2.0.7-1_all.deb
  to main/s/swig2.0/swig2.0-examples_2.0.7-1_all.deb
swig2.0_2.0.7-1.debian.tar.gz
  to main/s/swig2.0/swig2.0_2.0.7-1.debian.tar.gz
swig2.0_2.0.7-1.dsc
  to main/s/swig2.0/swig2.0_2.0.7-1.dsc
swig2.0_2.0.7-1_amd64.deb
  to main/s/swig2.0/swig2.0_2.0.7-1_amd64.deb
swig2.0_2.0.7.orig.tar.gz
  to main/s/swig2.0/swig2.0_2.0.7.orig.tar.gz
swig_2.0.7-1_amd64.deb
  to main/s/swig2.0/swig_2.0.7-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Landschoff <torsten@debian.org> (supplier of updated swig2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 May 2012 17:58:26 +0200
Source: swig2.0
Binary: swig swig2.0 swig-examples swig2.0-examples swig-doc swig2.0-doc
Architecture: source all amd64
Version: 2.0.7-1
Distribution: unstable
Urgency: high
Maintainer: Torsten Landschoff <torsten@debian.org>
Changed-By: Torsten Landschoff <torsten@debian.org>
Description: 
 swig       - Generate scripting interfaces to C/C++ code
 swig-doc   - HTML documentation for SWIG
 swig-examples - Examples for applications of SWIG
 swig2.0    - Generate scripting interfaces to C/C++ code
 swig2.0-doc - HTML documentation for SWIG
 swig2.0-examples - Examples for applications of SWIG
Closes: 674263 674540
Changes: 
 swig2.0 (2.0.7-1) unstable; urgency=high
 .
   * New upstream release 2.0.7 (closes: #674263).
   * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
     (closes: #674540).
   * debian/rules: Add binary-indep and binary-arch targets (lintian).
   * debian/control: Bump Standards-Version to 3.9.3 (no changes).
   * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
     upstream r13106 when building for Python 3 (caught by FTBFS for hugin).
Checksums-Sha1: 
 d115760cd7492f13eca1b252272449c9ba0ff081 1648 swig2.0_2.0.7-1.dsc
 307020fb6437092e32c9c1bd9af8bccb1645b529 5281076 swig2.0_2.0.7.orig.tar.gz
 f3f40d35376c7177e23158e531aaa756f9e10b30 17848 swig2.0_2.0.7-1.debian.tar.gz
 4a59aeedd2db71b4f43bbc928c3ff5fbab8bb2d8 271568 swig-examples_2.0.7-1_all.deb
 5872c1a215ed74a5d3171100d06b1be4978d7e38 1279210 swig2.0-examples_2.0.7-1_all.deb
 b672618db26899ae51e20492858a656eb71866e6 271556 swig-doc_2.0.7-1_all.deb
 95d78a49628ecc28b6b5ac1ca28b9aba74a9a622 2799746 swig2.0-doc_2.0.7-1_all.deb
 93ddedb05513feb47d0979a6814fa2442697a622 276894 swig_2.0.7-1_amd64.deb
 0bd7c9d37cd81027b60a27a69adb412a085ae04f 1427344 swig2.0_2.0.7-1_amd64.deb
Checksums-Sha256: 
 4148f888531a09433daaaf5ae8a2302bccf48f36a7889b3e32c5e78a7ea5887e 1648 swig2.0_2.0.7-1.dsc
 ac1f29be405d78b3848c8ba76add2deffc2cdc166c9a1773eda7972ba3898967 5281076 swig2.0_2.0.7.orig.tar.gz
 88c2dc22a8ac4d232cf6867c8327599eed71551055c780507c98f84d6c0278fc 17848 swig2.0_2.0.7-1.debian.tar.gz
 8c0e26ea45ca0e37235215410689b0a0cd219d8ecbd72f1dd76db971ad0c0de6 271568 swig-examples_2.0.7-1_all.deb
 4d393bec354f0ae3a2726b52b43663b4df17cd3acf178e9a6c294d4c4adca26a 1279210 swig2.0-examples_2.0.7-1_all.deb
 e000916ececb63a786bef3e5761b32663845a5ac7e946fa3b661e623243957b5 271556 swig-doc_2.0.7-1_all.deb
 bdd7993952a2ed99607de0c50c6b8e73ac4adb8de24b2a2262bc8cd75699ee23 2799746 swig2.0-doc_2.0.7-1_all.deb
 846ecce3eae1f0208e237a22dd0f50f43fb99a9957d4817a0c206c135413da2e 276894 swig_2.0.7-1_amd64.deb
 086d44f43f234ae6e305cf1d7daf15d221c394b92731ea19d8368046051afe43 1427344 swig2.0_2.0.7-1_amd64.deb
Files: 
 589948aaf3012c6a0f92afb8e7429a77 1648 interpreters optional swig2.0_2.0.7-1.dsc
 8c2f6a9f51677647a64c8adb1b176299 5281076 interpreters optional swig2.0_2.0.7.orig.tar.gz
 96cc3ecabe0fcb589c894711dcd6c5a3 17848 interpreters optional swig2.0_2.0.7-1.debian.tar.gz
 bd1fbb024c4e20f22915c3545a91c0b5 271568 interpreters optional swig-examples_2.0.7-1_all.deb
 e61eef4f9864effcf213d196c284f915 1279210 interpreters optional swig2.0-examples_2.0.7-1_all.deb
 fc1328298f2b16689836d9d2e197ddb7 271556 doc optional swig-doc_2.0.7-1_all.deb
 36dfcb6e9aa12bb73c84895fc5c317d1 2799746 doc optional swig2.0-doc_2.0.7-1_all.deb
 de4a843817529f5bd1df7d5c071bb7a8 276894 interpreters optional swig_2.0.7-1_amd64.deb
 1c64e75c1caae4765a5be950ae8c1d9f 1427344 interpreters optional swig2.0_2.0.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPw9e4dQgHtVUb5EcRAhD1AJ9fYfcuPr0edpNwdsV5UTx+1lv9BgCdHmO3
1TNFAZl0eWpXwWq5IPHV00Q=
=eeWP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:42:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:59:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.